GET
/api/v1/billingعرض حالة فوترة التثبيت
يعيد حالة فوترة المتجر الذي ثبّت تطبيقك. يستطيع كل تطبيق مثبت استدعاءه بأي رمز وصول صالح دون صلاحية إضافية. اربط المزايا المدفوعة بالحقلين `payment_required` و`entitlement`.
لا يلزم نطاق — متاح لكل تطبيق مثبتBearer token
البيئات
- SANDBOX
- بيئة اختبار محلية أو مصرح بها؛ لا يوجد حاليًا Sandbox عام مستضاف.
- PRODUCTION
https://getsas.xyz/api/v1/billing
الطلب
Headers
| Header | Value | مطلوب |
|---|---|---|
| Authorization | Bearer <ACCESS_TOKEN> | نعم |
أمثلة الكود
curl --request GET 'https://getsas.xyz/api/v1/billing' \
--header 'Authorization: Bearer <ACCESS_TOKEN>'الاستجابة
200 The billing state of this installation only
{
"description": "The billing state of this installation only",
"headers": {
"RateLimit-Limit": {
"$ref": "#/components/headers/RateLimitLimit"
},
"RateLimit-Remaining": {
"$ref": "#/components/headers/RateLimitRemaining"
},
"RateLimit-Reset": {
"$ref": "#/components/headers/RateLimitReset"
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/InstallationBilling"
}
}
}
}الأخطاء
| 401 | Missing or invalid access token |
| 404 | Marketplace API feature is not enabled for this environment |
| 429 | Fixed-window request limit exceeded for this installation and route key |
| 500 | Internal API failure |
| 503 | Rate-limit service unavailable; request is rejected closed |